<?php
if (empty($_GET['u'])){$_GET['u'] = 1;}
$query = "select * from obd_" . ($_GET['p'] - 1) . " where jobid = " . $_GET['u'];
$result = mysql_query($query);
$row = mysql_fetch_array($result);
switch($_GET['p']){
case 108:
	echo textterm($row['desk'], 109, "Директивы php.ini");
	break;
case 110:
	echo textterm($row['desk'], 107, "Функции php");
	break;
case 126:
	echo textterm($row['desk']);
	echo rtextterm($row['name'], 5);
	break;
case 132:
	if(mysql_num_rows(mysql_query("select p_tag, word_id from tblTag_131 where p_tag=5 and word_id= " . $_GET['u']))){echo textterm($row['desk'], 141, "Службы/Драйверы");}
	if(mysql_num_rows(mysql_query("select p_tag, word_id from tblTag_131 where p_tag=0 and word_id= " . $_GET['u']))){echo rtextterm($row['name'], 666, 169, "Rundll32.exe", "name");}
	break;
case 134:
	echo alltextterm($row['word2'], 157, "Пасхальные яйца");
	echo alltextterm($row['word2'], 175, "Взлом");
	break;
case 142:
	echo textterm($row['desk']);
	if (strpos($row['desk'], " Se") === false){}else{echo textterm($row['desk'], 111, "Привилегии");}
	echo textterm($row['desk'], 179, "Диалоги");
	if (strpos($row['desk'], ".dll") === false and strpos($row['desk'], ".exe") === false){}else{
		echo textterm($row['desk'], 131, "Файлы Windows");
	}
	break;
case 146:
	echo textterm($row['desk']);
	echo rtextterm($row['name'], 4);
	break;
case 150:
	echo textterm($row['desk']);
	echo rtextterm($row['name'], 0);
	if (strpos($row['desk'], "KB9") === false){}else{echo textterm($row['desk'], 151, "Обновления");}
	break;
case 152:
	echo textterm($row['desk']);
	if (strpos($row['desk'], "KB9") === false){}else{echo textterm($row['desk'], 151, "Обновления");}
	echo rtextterm($row['name'], 666, 173, "Новости", "desk_more", "onestyle_w.news_it");
	break;
case 158:
	echo alltextterm($row['name'], 133, "Комбинации клавиш", "word2");
	echo alltextterm($row['name'], 175, "Взлом");
	break;
case 160:
	echo textterm($row['desk']);
	if (strpos($row['desk'], "HKCU\\") === false and strpos($row['desk'], "HKLM\\") === false and strpos($row['desk'], "HKCR\\") === false and strpos($row['desk'], "HKEY_CURRENT_USER\\") === false and strpos($row['desk'], "HKEY_LOCAL_MACHINE\\") === false and strpos($row['desk'], "HKEY_CLASSES_ROOT\\") === false){}else{echo textterm($row['desk'], 149, "Реестр Win32");}
	break;
case 162:
	echo textterm($row['desk']);
	echo rtextterm($row['name'], 7);
	break;
case 164:
	echo textterm($row['desk']);
	echo textterm($row['desk'], 179, "Диалоги");
	break;
case 170:
	echo textterm($row['desk'], 179, "Диалоги Windows");
	break;
case 174:
	if(mysql_num_rows(mysql_query("select p_tag, word_id from tblTag_173 where p_tag=5 and word_id= " . $_GET['u']))){echo textterm($row['word2'], 125, "Свойства INF");}
	if(mysql_num_rows(mysql_query("select p_tag, word_id from tblTag_173 where p_tag=4 and word_id= " . $_GET['u']))){echo textterm($row['word2'], 145, "Объекты WSH");}
	if(mysql_num_rows(mysql_query("select p_tag, word_id from tblTag_173 where p_tag=7 and word_id= " . $_GET['u']))){echo textterm($row['word2'], 161, "Свойства WMI");}
	if(mysql_num_rows(mysql_query("select p_tag, word_id from tblTag_173 where p_tag=0 and word_id= " . $_GET['u']))){echo textterm($row['word2'], 149, "Реестр Windows");}
	break;
case 176:
	echo alltextterm($row['name'], 133, "Комбинации клавиш", "word2");
	echo alltextterm($row['word2'], 157, "Пасхальные яйца");
	if(mysql_num_rows(mysql_query("select p_tag, word_id from tblTag_175 where p_tag=4 and word_id= " . $_GET['u']))){echo textterm($row['word2'], 125, "Свойства INF");}
	if(mysql_num_rows(mysql_query("select p_tag, word_id from tblTag_175 where p_tag=5 and word_id= " . $_GET['u']))){echo textterm($row['word2'], 145, "Объекты WSH");}
	echo textterm($row['desk']);
	break;
case 178:
	echo textterm($row['desk']);
	echo textterm($row['desk'], 179, "Диалоги");
	break;
case 180:
	echo textterm($row['desk']);
	echo rtextterm($row['name'], 666, 169, "Rundll32.exe", "desk");
	echo textterm($row['word2'], 179, "Диалоги");
	break;
default:
	echo textterm($row['desk']);
}
?>